>source

0.18.1부터 API를 시작할 수 없습니다. 예제 버전 0.20.0 오류가 발생합니다 :

/home/ubuntu/data-service/node_modules/ts-node/src/index.ts:261     새로운 TSError (diagnosticText, diagnosticCodes) 반환            ^ TSError : Type TypeScript를 컴파일 할 수 없습니다 : src/index.ts (15,34) : error TS2497 :이 모듈은 'esModuleInterop'플래그를 켜고 기본 내보내기를 참조하여 ECMAScript 가져 오기/내보내기 만 참조 할 수 있습니다. src/index.ts (26,35) : 오류 TS2345 : '{expose : string;헤더 : 부울;} '는'{expose? '유형의 매개 변수에 지정할 수 없습니다. string | 찾으시는 주소가 없습니다;헤더? : 문자열 | 찾으시는 주소가 없습니다;쿼리? : 문자열 | 찾으시는 주소가 없습니다;} '.   속성 'header'의 유형이 호환되지 않습니다.     'boolean'유형은 'string | 유형에 지정할 수 없습니다. 정의되지 않음 '.

다른 버전으로 다른 버전을 시도했습니다. 그러나 오류는 거의 동일합니다. 어떤 버전과 컴파일에 사용합니까? 어쩌면 내가 잘못 시작했을까요? [email protected]으로 롤백하는 뉘앙스가 하나 있습니다. ts-jest에 필요하기 때문입니다. 얼마나 정확합니까?

  • 이전 javascript - 페르시아 알파벳으로 목록을 정렬하는 방법?
  • 다음 c# - 'SystemCollectionsGenericList '유형을 암시 적으로 'SystemCollectionsGenericList '로 변환 할 수 없습니다